#include<bits/stdc++.h>
using namespace std;
int b[50];
bool ktra(int x)
{
    bool kt=false;
    for(int i=1;i<10000;i++)
    {
        if(x==b[i])
        {
            kt=true;
            break;
        }
        if(b[i]>x)
        {
            break;
        }
    }
    return kt;
}
int main()
{
    ifstream fi("demfb.inp");
    ofstream fo("demfb.out");
    int n;
    fi>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        fi>>a[i];
    }
    int dem=0;
    b[1]=1;
    b[2]=2;
    for(int i=3;i<46;i++)
    {
        b[i]=b[i-1]+b[i-2];
    }
    for(int i=0;i<n;i++)
    {
        if(ktra(a[i]))
        {
            dem++;
        }
    }
    fo<<dem;
}
